TMPNAM(1)

NAME
tmpnam - make a file in the temporary directory

SYNOPSIS
tmpnam

DESCRIPTION
Tmpnam creates a new file with a unique name in directory and places the full pathname on the standard output.

EXAMPLES
    tmp1=`tmpnam` tmp2=`tmpnam`
    trap 'rm tmp1 tmp2; exit' 0 1 2 3 13 15
    sort file1 >tmp1; sort file2 >tmp2
    join tmp1 tmp2
Notice that the classical trick for getting unique names, does not work when is a blind directory.

SEE ALSO
mkunique(3)